const logger = require('loglevel')
const fs = require('fs')

logger.setLevel('trace')

const version = process.env.TRAVIS_TAG && process.env.TRAVIS_TAG.split('v').join('')
// don't change package.json version if no tag is available from travis
if (!version) {
    logger.info('No version specified, skipping automatic version definition')
    process.exit(0)
}

const packageJson = require('./package.json')

packageJson.version = version
fs.writeFileSync('package.json', JSON.stringify(packageJson, null, 4))

logger.info(`Updated version to v${version}`)

process.exit(0)
